> ## Documentation Index
> Fetch the complete documentation index at: https://docs-vnext.kiflo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add partner on a deal

> Adding a partner with a specific role on a deal will make the deal available for the partner on his partner portal.
            
Use the `isSource` property to define whether the partner is also the source of the deal or not. If true, the partner is defined is defined as the source of the deal, no
matter what the previous source was.



## OpenAPI

````yaml /openapi.json post /v3/deals/{dealId}/partners
openapi: 3.0.1
info:
  title: Kiflo Public API v3
  description: "The Kiflo API allows you to have control over your integration and create the best experiences.\r\n\r\n***\r\n\r\n## Format\r\n\r\nThe API follows the REST standard using JSON to format requests and responses.  \r\nDecimals are formatted using invariant culture, ie: using \".\" (dot) as a decimal sperator and no thousands separator.  \r\nDates are formatted using ISO standards, in UTC format, including the timezone. Ex:  2015-03-25T12:00:00Z\r\n\r\n***\r\n\r\n## Security\r\n\r\nThe API is secured using an API token.\r\n\r\n**How to generate an API Access Token**  \r\n 1. Open your [account settings page](https://app.kiflo.com/account/integration)\r\n 2. Go to the \"API Access Token\" section\r\n 3. Click \"Add\" button\r\n 4. Choose a name that will be used to identify the token and click \"Add\"\r\n 4. Copy the generate token\r\n   \r\n> **Note:** For security reason, the generated API Access Token won't be visible after you close the settings page. Be sure to copy the generated token otherwise you won't be able to get it later.\r\n  \r\n**How to authenticate on the API**  \r\n  \r\nTo authenticate on the API, send the generated token in the Authorization header using the Bearer scheme:  \r\n`Authorization: Bearer #YOUR_GENERATED_TOKEN_HERE#`\r\n"
  version: v3
servers: []
security: []
paths:
  /v3/deals/{dealId}/partners:
    post:
      tags:
        - Deals
      summary: Add partner on a deal
      description: "Adding a partner with a specific role on a deal will make the deal available for the partner on his partner portal.\r\n            \r\nUse the `isSource` property to define whether the partner is also the source of the deal or not. If true, the partner is defined is defined as the source of the deal, no\r\nmatter what the previous source was."
      parameters:
        - name: dealId
          in: path
          description: The existing deal ID to add the partner on.
          required: true
          schema:
            type: integer
            format: int32
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/DealAddPartnerRoleRequestDto'
          application/json:
            schema:
              $ref: '#/components/schemas/DealAddPartnerRoleRequestDto'
          text/json:
            schema:
              $ref: '#/components/schemas/DealAddPartnerRoleRequestDto'
          application/*+json:
            schema:
              $ref: '#/components/schemas/DealAddPartnerRoleRequestDto'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DealPartnerRoleDto'
      security:
        - oauth2:
            - DealPartnerRole.Create
            - Api
components:
  schemas:
    DealAddPartnerRoleRequestDto:
      type: object
      properties:
        dealId:
          type: integer
          format: int32
        partnerId:
          type: integer
          format: int32
        partnerTypeId:
          type: integer
          format: int32
        isSource:
          type: boolean
        useDefaultRewards:
          type: boolean
      additionalProperties: false
    DealPartnerRoleDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        dealId:
          type: integer
          format: int32
        userPartnerOwnerId:
          type: integer
          format: int32
          nullable: true
        userPartnerOwnerName:
          type: string
          nullable: true
        userPartnerFirstName:
          type: string
          nullable: true
        userPartnerLastName:
          type: string
          nullable: true
        userPartnerEmail:
          type: string
          nullable: true
        userPartnerJobTitle:
          type: string
          nullable: true
        userPartnerPhoneNumber:
          type: string
          nullable: true
        userPartnerLinkedInProfileUrl:
          type: string
          nullable: true
        partnerId:
          type: integer
          format: int32
        partnerTypeId:
          type: integer
          format: int32
          nullable: true
        creationDate:
          type: string
          format: date-time
        partnerName:
          type: string
          nullable: true
        partnerTypeName:
          type: string
          nullable: true
      additionalProperties: false

````